/* homepage CSS */
.album-slide .slide-content img {
    width: 100%;
    height: auto;
    max-height: 390px;
    border-radius: 12px;
    overflow: hidden;
    object-fit: cover;
}
.track-trending .song-card .card-cover-img{
    border-radius: 12px 12px 0 0;
}
.hero-section {
    width: 100%;
    position: relative;
    padding: 200px 0;
    background-image: url(../images/banner.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.hero-section::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(15, 15, 15, 0.6);
}
.hero-section .hero-area {
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 60px;
}

.hero-section .hero-title-area {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;
}

.hero-section .hero-area p {
    font-family: var(--primary-font);
    font-weight: 400;
    font-size: 20px;
    line-height: 1.6;
    color: white;
}

.hero-section .hero-btn {
    background-color: white;
    box-shadow: 0px 20px 90px -12px #CC0F67;
    border-radius: 50px;
    padding: 16px 24px;
}

.hero-section .hero-btn a {
    background: var(--gradient-color);
    -webkit-background-clip: text;
    color: transparent;
    font-family: var(--primary-font);
    font-weight: 600;
    font-size: 24px;
    line-height: 1.3;
}

.hero-area h3, .hero-area h4{
    color:#fff;
}

.hero-area .hover-text{
    padding: 20px;
}

.hero-area .swiper-button-prev{
    color:#fff;
    left:100px;
}
.hero-area .swiper-button-next{
    color:#fff;
    right:100px;
}

.hero-area .album-slider img{
  width: 350px;
  height: 350px;
  border-radius: 10px;
  object-fit: cover;
}

.recent-album-section .trending-content {
    grid-template-columns: repeat(4, 1fr);
    gap: 16px;
}

.recent-album-section .song-card .card-cover-img {
    width: 100%;
    height: auto;
    max-height: 355px;
    object-fit: cover;
}

/* trending section css */

.trending {
    background-color: var(--bg-color);
}

.trending-card {
    display: flex;
    flex-direction: column;
}

.trending-content {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    align-items: center;
    gap: 16px;
}

.trending .song-link {
    text-align: center;
    padding-top: 50px;
}

.trending .song-link a {
    display: inline-block;
    padding: 10px 20px;
    font-family: var(--primary-font);
    font-weight: 700;
    font-size: 16px;
    line-height: 1.5;
    color: transparent;
    background: linear-gradient(90deg, #ff416c, #8e2de2);
    -webkit-background-clip: text;
    border: 2px solid transparent;
    border-image-slice: 1;
    border-image-source: linear-gradient(90deg, #ff416c, #8e2de2);
    border-radius: 50px;
    transition: all 0.3s ease-in-out;
}


/* Soundwave Equalizer */
.music-bar {
    display: flex;
    align-items: center;

    min-height: 800px;
    padding: 100px 0;
    background-image: url('../images/music-bar-bg.png');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.music-bar .music-bar-content {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 100px;
}

.music-bar p {
    font-family: var(--primary-font);
    font-weight: 400;
    font-size: 40px;
    line-height: 0.8;
    background: var(--hero-title-color);
    -webkit-background-clip: text;
    color: transparent;
}

.music-bar .section-header {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 20px;
}

.soundwave-wrapper {
    width: 100%;
    /* display: flex;
    justify-content: center;
    align-items: center; */
}

.equalizer {
    width: 100%;
    position: relative;
    height: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.vertical-lines {
    width: 100%;
    height: 250px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 6px;
}

.vertical {
    width: 5px;
    height: 150px;
    border-radius: 5px;
    background: linear-gradient(108.65deg, #D20B61 3.9%, #664DC9 77.99%, #5C34F0 112.86%);
    animation-direction: alternate-reverse;
    margin: 1px;
    animation: equalizer 1s ease-in-out infinite alternate;
}

/* .vertical-lines audio #play-button{
    padding: 10px;
} */

.vertical-lines #pause-button {
    display: none;
}

@keyframes equalizer {
    from {
        height: 100%;
    }

    to {
        height: 20px;
    }
}

/* recent album section */
.recent-album-section {
    background-image: url(../images/recent-album-bg.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;

    background-color: var(--bg-color);
}

.recent-album-section .recent-album-area {
    display: flex;
    flex-direction: column;
}

.recent-album-section .recent-album-upper-area,
.top-playlist-section .top-playlist-upper-area,
.popular-artist-section .popular-artist-upper-area {
    position: relative;
}

.recent-album-section .swiper-slider-arrow,
.top-playlist-section .swiper-slider-arrow,
.popular-artist-section .swiper-slider-arrow {
    position: absolute;
    right: 0;
    top: 0;
}

.recent-album-section .swiper-button-prev,
.recent-album-section .swiper-button-next,
.top-playlist-section .swiper-button-next,
.top-playlist-section .swiper-button-prev,
.popular-artist-section .swiper-button-prev,
.popular-artist-section .swiper-button-next {
    position: absolute;
    top: var(--swiper-navigation-top-offset, 50%);
    width: calc(var(--swiper-navigation-size) / 44* 27);
    height: var(--swiper-navigation-size);
    margin-top: calc(0px -(var(--swiper-navigation-size) / 2));
    z-index: 10;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--underline-color);
}

.recent-album-section .swiper-button-next {
    right: 0;
}

.recent-album-section .swiper-button-prev {
    left: -120px;
}

.recent-album-section .swiper-slide,
.top-playlist-section .swiper-slide,
.popular-artist-section .swiper-slide {
    position: relative;
    cursor: pointer;
}

.recent-album-section .swiper-slide img {
    width: 100%;
    max-width: 350px;
    height: 450px;
}


.recent-album-section .hover-text {
    align-items: center;
    background: linear-gradient(179.4deg, rgba(0, 0, 0, 0.76) 0.52%, rgba(179, 23, 111, 0.76) 153.96%);
    border-radius: 12px;
    bottom: 0;
    display: flex;
    flex-direction: column;
    gap: 10px;
    height: 100%;
    justify-content: center;
    opacity: 0;
    overflow: hidden;
    padding: 20px;
    position: absolute;
    text-align: center;
    visibility: hidden;
    width: 100%;
}

.recent-album-section .hover-text h3,
.popular-artist-section .hover-text h3 {
    font-family: var(--primary-font);
    font-weight: 500;
    font-size: 24px;
    color: white;
}

.recent-album-section .hover-text h4 {
    font-family: var(--primary-font);
    font-weight: 400;
    font-size: 16px;
    line-height: 1.5;
    color: var(--sub-color);
}

.recent-album-section .swiper-slide {
    border-radius: 12px;
    overflow: hidden;
}

.recent-album-section .swiper-slide:hover .hover-text {
    opacity: 1;
    transition: all 0.5s ease;
    visibility: visible;
}


/* Song List Section */
.song-list-section {
    background-image: url(../images/song-list-bg.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.song-list-section .song-list {
    align-items: center;
    display: grid;
    gap: 100px;
    grid-template-columns: 1fr 1fr;
    padding-bottom: 100px;
    padding-top: 100px;
}

.song-list-section .song-info {
    display: flex;
    flex-direction: column;
    gap: 20px;
}


.song-list-section h3 {
    font-family: var(--primary-font);
    font-weight: 500;
    font-size: 24px;
    line-height: 1;
    color: white;
}

.song-list-section p {
    font-family: var(--primary-font);
    font-weight: 400;
    font-size: 16px;
    line-height: 1.5;
    text-align: justify;
    color: var(--sub-color);
}

.song-list-section table {
    min-width: 100%;
}


.song-list-section table tr {
    align-items: center;
    border-bottom: 0.8px solid var(--table-data-color);
    display: flex;
    gap: 10px;
    justify-content: space-between;
    padding: 10px 0;
}

.song-list-section .song-number {
    font-family: var(--primary-font);
    font-weight: 400;
    font-size: 18px;
    line-height: 1.5;
    letter-spacing: 0.26px;
    color: var(--table-data-color);
}

.song-list-section .song-list-name {
    align-items: center;
    color: white;
    display: flex;
    flex-direction: row;
    font-family: var(--primary-font);
    font-size: 20px;
    font-weight: 500;
    gap: 20px;
    line-height: 1.5;
    margin-right: auto;
    min-width: 243px;
}

td.song-number {
    min-width: 51px;
}

.song-list-section .list-icons {
    color: var(--sub-color);
    display: flex;
    align-items: center;
    gap: 20px;
}


/* Popular artist section */
.popular-artist-section {
    background-color: var(--bg-color);
    padding: 100px 0;
}

.popular-artist-section .popular-artist {
    position: relative;
}

.popular-artist-section .artist-slider {
    margin-top: 40px;
}

.popular-artist-section .swiper-button-next {
    right: 0;
}

.popular-artist-section .swiper-button-prev {
    left: -120px;
}

.popular-artist-section .img-container {
    padding: 0 8%;
    position: relative;
}
.popular-artist-section .headphone-nocolor,
.popular-artist-section .headphone-color {
    left: 0;
    pointer-events: none;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 1;
}

.popular-artist-section .headphone-color {
    opacity: 0;
    visibility: hidden;
}

.popular-artist-section .artist-img {
    border-radius: 48%;
    height: 1px;
    overflow: hidden;
    padding-bottom: 120%;
    position: relative;
    width: 100%;
    z-index: 0;
}

.popular-artist-section .artist-img img {
    height: 100%;
    left: 0;
    object-fit: cover;
    position: absolute;
    top: 5px;
    width: 100%;
}

.popular-artist-section .hover-text {
    align-items: center;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.76) 0%, rgba(179, 23, 111, 0.76) 100%);
    bottom: 0;
    display: flex;
    flex-direction: column;
    gap: 16px;
    height: 100%;
    justify-content: center;
    overflow: hidden;
    padding: 0 10%;
    position: absolute;
    text-align: center;
    visibility: hidden;
    width: 100%;
}

.popular-artist-section .hover-text a.artist-social {
    border: 1px solid white;
    border-radius: 50px;
    padding: 5px 20px;
    font-family: var(--primary-font);
    font-weight: 500;
    font-size: 16px;
    color: white;
    line-height: 2;
}

.popular-artist-section .artist-img:hover .hover-text,
.popular-artist-section .swiper-slide:hover .headphone-color {
    opacity: 1;
    transition: all 0.5s ease;
    visibility: visible;
}

/* top playlist section */
.top-playlist-section {
    background-image: url(../images/top-playlist-bg.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    background-color: black;
}

.top-playlist-section .top-playlist {
    position: relative;
}

.playlist-infos {
    display: flex;
    gap: 10px;
    padding: 15px 5px;
    align-items: center;
}

.top-playlist-section .swiper-button-next {
    right: 0;
}

.top-playlist-section .swiper-button-prev {
    left: -120px;
}

.top-playlist-section .card-right-part a {
    border: none;
}

/* contact section */
.contact-section {
    background-image: url(../images/contact-bg.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 800px;
    display: flex;
    align-items: flex-end;
    flex-direction: column;
    /* flex-wrap: wrap; */
    /* align-content: stretch; */
    justify-content: center;
}

.contact-section .main-title {
    margin-bottom: 20px;
}

.contact-area {
    display: flex;
    justify-content: flex-end;
}

.contact-info {
    display: flex;
    flex-direction: row;
    gap: 20px;
}

.contact-info a {
    color: white;
    font-family: var(--primary-font);
    font-size: 24px;
    font-weight: 400;
    line-height: 1.25;
}

.trending,
.recent-album-section,
.top-playlist-section,
.contact-section {
    padding: 100px 0;
}

.track-trending{
    padding-bottom: 0px;
}

/* tags genres css */
.tag-genres-section {
    background-color: #000;
    padding: 50px 40px;
}

.tag-genres-section .content-wrapper {
    max-width: 1440px;
    width: 100%;
    margin: 0 auto;
    padding: 0 20px;
    position: relative;
    z-index: 1;
}

.genres-content-wrapper{
    padding-top: 50px !important;
}

.tag-genres-section .content-heading h4 {
    font-size: 30px;
    line-height: 1.5;
    font-weight: 400;
    text-align: left;
    margin-bottom: 15px;
    color: #fff;
}

.tag-genres-section .box-items {
    display: flex;
    gap: 10px;
    text-align: center;
    margin: 0 auto;
    padding-top: 20px;
    flex-wrap: wrap;
}

.tag-genres-section a {
    padding: 5px 25px;
    margin: 0 15px 15px 0;
    border: 1px solid var(--sub-color);
    border-radius: 32px;
    font-family: var(--primary-font);
    font-weight: 500;
    font-size: 12px;
    line-height: 2;
    color: var(--sub-color);
}

header .nav-link.active{
  color: #fff;
  font-weight: bold;
}

.cursor-pointer{
    cursor: pointer;
}

/* banner css */
.trending-books-section,
  .trending-books-section * {
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
  }

  .trending-books-section ul {
    margin: 0;
    padding: 0;
    list-style: none;
  }

  .trending-books-section {
    position: relative;
    width: min(70rem, 100%);
    margin: 0 auto;
    column-gap: 3rem;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
  }

  .trending-books-section h2 {
    margin: 0;
    letter-spacing: 0.8px;
    font-weight: 700;
    font-size: clamp(2rem, 5vw, 2.6rem);
    line-height: 1.2;
  }

  .trending-books-section > p {
    font-size: 0.9rem;
    max-width: 680px;
    line-height: 1.6;
    margin-inline: auto;
    margin-top: 10px;
    color: #555;
  }

  .trending-books-section .swiper-container {
    position: relative;
    width: 100%;
  }

  .trending-books-section .trending-books-swiper {
    width: 100%;
    padding: 60px 0 95px;
  }

  .trending-books-section .swiper-slide {
    width: 10rem;
    height: 22rem;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    position: relative;
    border-radius: 12px;
    box-shadow: -1px 5px 15px #0000001f;
    overflow: visible;
  }

  .trending-books-section .swiper-slide h3 {
    color: #fff;
    font-size:28px;
    line-height: 1.25;
    margin-bottom: 0;
    letter-spacing: 0.8px;
    position: relative;
  }

  .trending-books-section .swiper-slide p {
    color: #fff;
    line-height: 1.6;
    font-size: 0.8rem;
  }

  .trending-books-section .slide-content {
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -45%);
    width: 100%;
  }

  .trending-books-section .author {
    grid-template-columns: 1fr;
    justify-items: center;
    position: absolute;
    bottom: -80px;
    width: 100%;
    display: none;
    opacity: 0;
    transition: opacity 0.3s ease;
  }

  .trending-books-section .author span {
    color: #111;
    display: block;
    margin: 5px 0 10px;
    font-weight: 600;
    font-size: 0.9rem;
  }

  .trending-books-section .author img {
    width: 60px;
    height: 60px;
    object-fit: cover;
    border-radius: 50%;
    border: 3.5px solid white;
    box-shadow: 0 4px 12px rgb(0 0 0 / 18%);
  }

  .trending-books-section .author ul {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2px;
  }

  .trending-books-section .author li svg {
    width: 20px;
    color: orange;
  }

  .trending-books-section .swiper-slide-active .author {
    display: grid;
    opacity: 1;
    z-index: 9999;
  }

  .trending-books-section .swiper-slide--one {
    background: linear-gradient(to bottom, #021b79, #0575e6);
  }

  .trending-books-section .swiper-slide--one h3 {
    font-family: "Cormorant Garamond", serif;
    font-weight: 600;
  }

  .trending-books-section .swiper-slide--two {
    background: linear-gradient(to bottom, #cc5333, #23074d);
  }

  .trending-books-section .swiper-slide--two h3 {
    font-family: "Quicksand", sans-serif;
  }

  .trending-books-section .swiper-slide--three {
    background: #159957;
  }

  .trending-books-section .swiper-slide--three h3 {
    font-family: "Satisfy", cursive;
    font-weight: 300;
  }

  .trending-books-section .swiper-slide--four {
    background: #b06ab3;
  }

  .trending-books-section .swiper-slide--four h3 {
    font-family: "Courgette", cursive;
    font-weight: 300;
  }

  .trending-books-section .swiper-slide--five {
    background: linear-gradient(to bottom, #237a57, #093028);
  }

  .trending-books-section .swiper-slide--five h3 {
    font-family: "Noto Serif Vithkuqi", serif;
    font-weight: 300;
  }

  .trending-books-section .swiper-slide--six {
    background: linear-gradient(to bottom, #b9f, #3b2421);
  }

  .trending-books-section .swiper-slide--six h3 {
    font-family: "Chonburi", cursive;
    font-weight: 400;
  }

  .trending-books-section .trending-books-prev,
  .trending-books-section .trending-books-next {
    background: white;
    border-radius: 50%;
    top: 47%;
    width: 50px;
    height: 50px;
    box-shadow: 0 2px 11px rgb(0 0 0 / 17%);
    color: #111;
    display: none;
  }

  .trending-books-section .trending-books-prev {
    left: -10px;
  }

  .trending-books-section .trending-books-next {
    right: -10px;
  }

  .trending-books-section .trending-books-prev::after,
  .trending-books-section .trending-books-next::after {
    content: "";
  }

  .trending-books-section .trending-books-prev svg,
  .trending-books-section .trending-books-next svg {
    width: 18px;
    height: 18px;
  }

  .artist-album-archive .trending-content {
    gap: 50px;
  }

  @media (min-width: 760px) {
    .trending-books-section {
      overflow: visible;
    }

    .trending-books-section .trending-books-prev,
    .trending-books-section .trending-books-next {
      display: flex;
    }

    .trending-books-section .trending-books-prev {
      left: -30px;
    }

    .trending-books-section .trending-books-next {
      right: -30px;
    }
  }

/* =========================
   Responsive
========================= */
@media screen and (max-width: 1800px) {
    .hero-area .album-slider{
    max-width: 1340px;
       margin: 0 auto;
    }
    .hero-area .swiper-button-prev {
        left: 50px;
    }
    .hero-area .swiper-button-next {
        right: 50px;
    }
    .hero-area .album-slider img{
        width: 100%;
        height: auto;
        border-radius: 10px;
    }
}

@media screen and (max-width: 1500px) {

    .hero-area .swiper-button-prev {
        left: 20px;
    }
    .hero-area .swiper-button-next {
        right: 20px;
    }

}

@media screen and (max-width:1450px) {
    .trending-content {
        grid-template-columns: repeat(3, 1fr);
    }
    .recent-album-section .trending-content {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media screen and (max-width:1200px) {
    .song-list-section .song-list {
        grid-template-columns: 1fr;
        gap: 100px;
    }
}

@media screen and (max-width:991px) {
    .hero-section {
        padding: 200px 0;
    }
    .trending-content {
        grid-template-columns: repeat(2, 1fr);
    }
    .recent-album-section .trending-content {
        grid-template-columns: repeat(2, 1fr);
    }

    .vertical-lines {
        gap: 0px;
    }

    .contact-section {
        height: 500px;
    }

    .contact-info {
        flex-direction: column;
    }

    .contact-info a {
        font-size: 14px;
    }
    .hero-area .swiper-button-prev {
        left: 15px;
    }
    .hero-area .swiper-button-next {
        right: 15px;
    }

    .tag-genres-section {
        padding: 40px 30px;
    }

    .tag-genres-section .content-heading h4 {
        font-size: 26px;
    }

    .tag-genres-section a {
        padding: 5px 20px;
        font-size: 11px;
    }
}


@media screen and (max-width: 768px) {
    .hero-area .album-slider img {
        width: auto;
        margin: 0 auto;
    }
    .song-card .card-cover-img {
        height: auto !important;
    }

    .tag-genres-section {
        padding: 35px 20px;
    }

    .tag-genres-section .content-wrapper {
        padding: 0 10px;
    }

    .genres-content-wrapper {
        padding-top: 35px !important;
    }

    .tag-genres-section .content-heading h4 {
        font-size: 22px;
        text-align: center;
    }

    .tag-genres-section .box-items {
        justify-content: center;
        gap: 8px;
    }

    .tag-genres-section a {
        padding: 5px 18px;
        font-size: 11px;
        margin: 0 8px 10px 0;
    }
    .hero-area .swiper-button-prev:after, .swiper-rtl .swiper-button-next:after, .hero-area .swiper-button-next:after, .swiper-rtl .swiper-button-prev:after{
        font-size: 32px !important;
    }
}


@media screen and (max-width:620px) {
    .trending-content {
        grid-template-columns: repeat(1, 1fr);
    }
    .recent-album-section .trending-content {
        grid-template-columns: repeat(1, 1fr);
    }

    .song-list-section .song-list-name {
        font-size: 14px;
    }
    .hero-area .swiper-button-prev {
        left: 10px;
    }
    .hero-area .swiper-button-next {
        right: 10px;
    }
}

@media screen and (max-width: 575px) {
    .contact-section{
       position: relative;
    }
    .contact-section::before {
        content: "";
        position: absolute;
        inset: 0;
        background: rgba(0, 0, 0, 0.6);
    }
    .contact-section .contact-area{
     z-index: 2;
     display: block;
    }
    .contact-section .contact-info {
        align-items: center;
    }
}

@media screen and (max-width: 480px) {

    .hero-area .swiper-button-prev {
        left: 5px;
    }
    .hero-area .swiper-button-next {
        right: 5px;
    }

    .hero-section {
       padding: 130px 0;
    }

    .hero-area .swiper-slide {
        padding: 20px 0;
    }

    .song-list-section .song-list-name {
        gap:12px;
        min-width:180px;
    }

    .tag-genres-section {
        padding: 30px 15px;
    }

    .tag-genres-section .content-heading h4 {
        font-size: 20px;
    }

    .tag-genres-section .box-items {
        gap: 6px;
    }

    .tag-genres-section a {
        padding: 4px 14px;
        font-size: 10px;
        line-height: 1.8;
        margin: 0 6px 8px 0;
    }
}

